OFF_ALIGN(1)

NAME
off_align - alignment of OFF files

SYNOPSIS
off_align [options] [input_file]

DESCRIPTION
Read a base file and brick file in OFF format, and use vertices or faces to position the brick with respect to the base. The brick may be repeated symmetrically and/or merged with the base. If input_file is not given the program reads from standard input.

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-v <arg>
    align by vertices, iarg is a comma separated list of a brick geometry (if empty use base) optionally followed by 'r' (reverse brick orientation) followed by two, four or six points given as the vertex index number in the OFF files (starting at 0). The base points are all given first and then the brick points. Formats:

    u1,v1 - point alignment

    translation u1-v1 (so v1 of brick moves to u1 of base)

    u1,u2,v1,v2 - line alignment

    point alignment as above followed by rotation through u1 perpendicular to u1u2 and v1v2 to align u1u2 and v1v2.

    u1,u2,u3,v1,v2,v3 - face alignment

    line alignment as above followed by a rotation around u1,u2 so v3 lies in plane of u1u2u3.

-f <arg>
    align by face index, arg is a comma separated list of a brick geometry (if empty use base) followed by up to three numbers separated by commas: base face index, brick face index (default: 0), polygon alignment selection number (default: 0)

-F <arg>
    align and combine polyhedra by face index, arg is a comma separated list of a brick geometry (if empty use base) followed by up to three numbers: base face index, brick face index (default: 0), polygon alignment selection number (default: 0). Brick is after base, bond vertices are merged, bond faces are removed

-M <val>
    merge files. 0 (default) don't merge, 1 brick after base, 2 brick before base

-y <sub>
    repeat bricks according to symmetry of base. sub is symmetry subgroup (Schoenflies notation) or 'full' optionally followed by a ',' and conjugation type (integer)

-o <file> write output to file (default: write to standard output)

SEE ALSO
The full documentation for off_align is maintained as a Texinfo manual. If the info and off_align programs are properly installed at your site, the command

    info off_align

should give you access to the complete manual.